## python-aio-geojson-client 0.20

=== requirements.txt ===
aiohttp>=3.7.4,<4
geojson>=2.4.0
haversine>=1.0.1

=== debian/changelog ===
python-aio-geojson-client (0.20-3) unstable; urgency=medium

  * Team Upload
  * Fix d/watch for new PyPi naming convention
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Nov 2025 20:45:58 +0100

python-aio-geojson-client (0.20-2) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jul 2024 06:45:50 +0200

python-aio-geojson-client (0.20-1) unstable; urgency=medium

  * Initial release. (Closes: #1077135)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2024 04:39:11 +0200

=== debian/control ===
Source: python-aio-geojson-client
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aioresponses,
 python3-geojson,
 python3-haversine,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,
 python3-pytest-xdist,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aio-geojson-client
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aio-geojson-client.git
Homepage: https://github.com/exxamalte/python-aio-geojson-client

Package: python3-aio-geojson-client
Architecture: all
Depends:
 python3-aiohttp,
 python3-geojson,
 python3-haversine,
 ${misc:Depends},
 ${python3:Depends},
Description: async GeoJSON client library
 This library provides convenient async access to GeoJSON
 https://tools.ietf.org/html/rfc7946 Feeds.
 .
 This package is a dependency for Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/exxamalte/python-aio-geojson-client
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aio-geojson-client/aio_geojson_client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
